Bug 128485 - buildinstall.tree.2921 upd instroot: [: =3D: unary=20 operator
Summary: buildinstall.tree.2921 upd instroot: [: =3D: unary=20 operator
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-23 15:16 UTC by Brandon Nolte
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-27 03:45:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brandon Nolte 2004-07-23 15:16:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6)
Gecko/20040510

Description of problem:

usr RH73 i386 buildinstall.tree.2921 upd instroot: [: =3D: unary=20
operator



 usr RH73 i386 buildinstall.tree.2921 upd instroot: [: too many=20
arguments
file /usr/lib/anaconda-runtime/upt-instroot 
code
if [ $ARCH =  ia64 -a $p = $DESTGR ]
needs to be. 
if [ "$ARCH" =  "ia64" -a "$p" = "$DESTGR" ]



Version-Release number of selected component (if applicable):
anaconda-runtime-10.0-5

How reproducible:
Always

Steps to Reproduce:
1.run buildinstall 
2.
3.
    

Actual Results:  usr RH73 i386 buildinstall.tree.2921 upd instroot: [:
=3D: unary=20
operator



 usr RH73 i386 buildinstall.tree.2921 upd instroot: [: too many=20
arguments

Expected Results:  It should have not thrownup on its self.

Additional info:

code
if [ $ARCH =  ia64 -a $p = $DESTGR ]
needs to be. 
if [ "$ARCH" =  "ia64" -a "$p" = "$DESTGR" ]

ECT.

Comment 1 Brandon Nolte 2004-07-23 15:17:31 UTC
anaconda-runtime is it's own package maby we should give it it's own
bug list.

Comment 2 Paul Nasrat 2004-07-23 15:31:18 UTC
Just fyi bugzilla components are listed by src.rpm not package

Comment 3 Jeremy Katz 2004-07-27 03:45:56 UTC
This is perfectly valid as ARCH and p are "guaranteed" to be set.


Note You need to log in before you can comment on or make changes to this bug.